%define modname ds
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
%define incdir %(php-config82 --include-dir)
%define extdir %(php-config82 --extension-dir)

Summary:	Data Structures
Name:			php-%{modname}
Version:	1.4.0
Release:	%mkrel 6
Group:		Development/PHP
License:	MIT License
URL:		https://github.com/php-ds
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	ds.ini
BuildRequires:	php-devel >= 3:8.2.0
BuildRequires:	pkgconfig(libpcre2-posix)
Requires:       php >= 3:8.2.0
Requires:       php-common = 3:8.2

%description
Data Structures for PHP 7.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .
cp %{SOURCE1} %{inifile}

%build
phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}



%files
%doc package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Fri Nov 04 2022 mokraemer <mokraemer> 1.4.0-6.mga9
+ Revision: 1902345
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1.4.0-5.mga9
+ Revision: 1879769
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1.4.0-4.mga9
+ Revision: 1869985
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1.4.0-3.mga9
+ Revision: 1869854
- rebuild for php 8.2

* Thu Mar 24 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1824602
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 mokraemer <mokraemer> 1.4.0-1.mga9
+ Revision: 1762024
- new version 1.4.0
- rebuild for php 8.1

* Mon Nov 30 2020 mokraemer <mokraemer> 1.3.0-2.mga8
+ Revision: 1650464
- added build-requirement

* Wed Oct 14 2020 mokraemer <mokraemer> 1.3.0-1.mga8
+ Revision: 1635817
- new version 1.3.0

* Thu Jun 18 2020 mokraemer <mokraemer> 1.2.9-2.mga8
+ Revision: 1596244
- fix dep to current version

* Thu Mar 12 2020 mokraemer <mokraemer> 1.2.9-1.mga8
+ Revision: 1555800
- new version 1.2.9

* Tue Feb 18 2020 umeabot <umeabot> 1.2.8-3.mga8
+ Revision: 1538971
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.2.8-2.mga8
+ Revision: 1463517
+ rebuild (emptylog)

* Fri Jan 25 2019 mokraemer <mokraemer> 1.2.8-1.mga7
+ Revision: 1360681
- new version 1.2.8

* Wed Dec 12 2018 mokraemer <mokraemer> 1.2.7-2.mga7
+ Revision: 1340430
- rebuild

* Tue Nov 20 2018 mokraemer <mokraemer> 1.2.7-1.mga7
+ Revision: 1332232
- new version 1.2.7

* Fri Oct 26 2018 mokraemer <mokraemer> 1.2.4-3.mga7
+ Revision: 1325836
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-2.mga7
+ Revision: 1300214
- Mageia 7 Mass Rebuild

* Mon Dec 04 2017 mokraemer <mokraemer> 1.2.4-1.mga7
+ Revision: 1181134
- php pecl ds
- Created package structure for php-ds.

